unit Rrsrelat;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, TabNotBk, StdCtrls, Buttons, ExtCtrls,RRSQL65;

type
  TJoinForm = class(TForm)
    MasterTableLabel: TLabel;
    AliasLabel: TLabel;
    TableLabel: TLabel;
    MasterTableEdit: TEdit;
    AliasCombo: TComboBox;
    TableEdit: TEdit;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    MasterTableBtn: TSpeedButton;
    TableBtn: TSpeedButton;
    Bevel1: TBevel;
    OpenDialog1: TOpenDialog;
    TableList: TListBox;
    procedure MasterTableBtnClick(Sender: TObject);
    procedure TableBtnClick(Sender: TObject);
    procedure TableEditChange(Sender: TObject);
    procedure AliasComboChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Report:TRRSQL65;
  end;

var
  JoinForm: TJoinForm;

implementation

{$R *.DFM}


procedure TJoinForm.MasterTableBtnClick(Sender: TObject);
var
  MyTable:String;
begin
  MyTable:='';
  MyTable:=Report.SelectTable;
  if MyTable<>'' then MasterTableEdit.Text:=MyTable;
end;

procedure TJoinForm.TableBtnClick(Sender: TObject);
var
  MyTable:String;
begin
  MyTable:='';
  MyTable:=Report.SelectTable;
  if MyTable<>'' then TableEdit.Text:=MyTable;
end;

procedure TJoinForm.TableEditChange(Sender: TObject);
begin
  TableList.items[AliasCombo.ItemIndex]:=TableEdit.Text;
end;

procedure TJoinForm.AliasComboChange(Sender: TObject);
begin
  TableEdit.Text:=TableList.items[AliasCombo.ItemIndex];
end;

end.
